com.fasterxml.jackson.annotation

## Class ObjectIdGenerators.PropertyGenerator

- java.lang.Object
- - com.fasterxml.jackson.annotation.ObjectIdGenerator<T>
  - - com.fasterxml.jackson.annotation.ObjectIdGenerators.PropertyGenerator

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    ObjectIdGenerators

      public abstract static class ObjectIdGenerators.PropertyGenerator
      extends ObjectIdGenerator<T>

  Abstract place-holder class which is used to denote case where Object Identifier to use comes from a POJO property (getter method or field). If so, value is written directly during serialization, and used as-is during deserialization.

  Actual implementation class is part of `databind` package.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.annotation.ObjectIdGenerator

      `ObjectIdGenerator.IdKey`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ObjectIdGenerators.PropertyGenerator(java.lang.Class<?> scope)`

  - ### Method Summary

    - ### Methods inherited from class com.fasterxml.jackson.annotation.ObjectIdGenerator

      `forScope, isValidReferencePropertyName, key, maySerializeAsObject, newForSerialization`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectIdGenerators.PropertyGenerator

          protected ObjectIdGenerators.PropertyGenerator(java.lang.Class<?> scope)